Subject: Re: Strange effect merging empty file

From: Ralf Nyren <[email-masked]>
Date: Thu, 22 Mar 2012 13:39:40 +0100

On 22/03/12 13:17, Randal L. Schwartz wrote:
>>>>>> "Zbigniew" == Zbigniew Jędrzejewski-Szmek<[email-masked]>  writes:
>
> Zbigniew>  touch .gitignore
>
> If you're doing this to make sure git makes an empty directory, always
> put the directory name in there as a comment... that makes it (a) not an
> empty file (so merge doesn't get confused) and (b) unique, so when you
> change it, merge won't try to change other similar empty files.

Good point.

Renaming directories makes the comment out-of-date but since uniqueness 
is what matters it should not be a problem.

regards, Ralf